with GNATCOM.Dispinterface;

package MSHTML.IDOMMSAnimationEvent_Interface is

   type IDOMMSAnimationEvent_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IDOMMSAnimationEvent_Type);

   function Pointer (This : IDOMMSAnimationEvent_Type)
     return Pointer_To_IDOMMSAnimationEvent;

   procedure Attach (This    : in out IDOMMSAnimationEvent_Type;
                     Pointer : in     Pointer_To_IDOMMSAnimationEvent);

   function Get_animationName
     (This : IDOMMSAnimationEvent_Type)
     return GNATCOM.Types.BSTR;

   function Get_elapsedTime
     (This : IDOMMSAnimationEvent_Type)
     return Interfaces.C.C_float;

   procedure initMSAnimationEvent
     (This          : IDOMMSAnimationEvent_Type;
      eventType     : GNATCOM.Types.BSTR;
      canBubble     : GNATCOM.Types.VARIANT_BOOL;
      cancelable    : GNATCOM.Types.VARIANT_BOOL;
      animationName : GNATCOM.Types.BSTR;
      elapsedTime   : Interfaces.C.C_float;
      Free          : Boolean := True);

end MSHTML.IDOMMSAnimationEvent_Interface;

